Subject: Re: bug#60233: 30.0.50; Dired buffer not updating sometimes

From: Jean Louis <[email-masked]>
Date: Fri, 23 Dec 2022 08:03:16 +0300

* Gregory Heytings <[email-masked]> [2022-12-23 00:48]:
> > Here is what happens sometimes:
> > https://gnu.support/images/tmp/2022-12-21/2022-12-21-08:09:15.ogv
> > 
> 
> I see this on the modeline of your video:
> 
> [[[[(Dired by name Launch Hypb WK)]]]]

Thanks, you notices something I did not notice. I can't know why and
how that came in the modeline.

> Unless you customized your modeline in a strange way, these four "[[[[" and
> "]]]]" mean that you're in recursive edit, in a recursive edit, in a
> recursive edit, in a recursive edit (yes, four times).  Is that really what
> you want?

I invoke recursive edits all the time, though not related to Dired buffer.

> (info "(emacs)Recursive Edit") says: "You could probably do all the rest of
> your editing inside the recursive edit, visiting files and all.  But this
> could have surprising effects (such as stack overflow) from time to time.
> So remember to exit or abort the recursive edit when you no longer need it.
> In general, we try to minimize the use of recursive editing levels in GNU
> Emacs."

That is definitely some other bug that I will report. I do use
recursive edit, but I see now that after closing recursive edit those
square brackets do not close.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/